Subject: Re: bug#2403: 23.0.90; emacs bootstrap under AIX hangs at lisp/international/characters.el

From: Criveti Mihai <[email-masked]>
Date: Fri, 6 Mar 2009 23:19:23 +0200

/etc/security/limits sets:
default:
       stack = 131072

May want to try settings
        stack = 524288
        stack_hard = 524288
or even higher for building Emacs.

Also check ulimit -s / ulimit -a values.

On Fri, Feb 27, 2009 at 12:27 PM, Eli Zaretskii <[email-masked]> wrote:
>> From: Harald Maier <[email-masked]>
>> Cc: [email-masked]
>> Date: Thu, 26 Feb 2009 21:02:57 +0100
>>
>> > Could it be that Emacs doesn't have enough stack space?  (I have no
>> > idea whether stack on AIX is statically allocated and what is its
>> > default size.)
>>
>> Definitely not. Both machines has lots of resources and also Emacs 22
>> compiles and works very well.
>
> On many systems, Emacs 23 needs much more stack space than Emacs 22,
> especially when characters.el is loaded during dumping.
>
>> But I can verify that if you can give me some hints how to do this.
>
> Sorry, I don't use AIX and am not familiar with that system enough to
> give you any useful advice.  For starters, please find out how much
> stack temacs has when it performs this command from src/Makefile:
>
>        LC_ALL=C $(RUN_TEMACS) -batch -l loadup dump
>
> (Again, I cannot tell you how to do that on AIX, unfortunately.)
>
>
>
>
>